petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoSetObjectiveRoutine

Sets the function evaluation routine for minimization

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetObjectiveRoutine(Tao tao, PetscErrorCode (*func)(Tao, Vec, PetscReal*,void*),void *ctx)

Logically collective on Tao Many br

### Input Parameter

| tao | - the Tao context Many br
| func | - the objective function Many br
| ctx | - [optional] user-defined context for private data for the function evaluation Many brroutine (may be NULL) Many br

### Calling sequence of func

         func (Tao tao, Vec x, PetscReal *f, void *ctx);

| x | - input vector Many br
| f | - function value Many br
| ctx | - [optional] user-defined function context Many br

Many br

### See Also

TaoSetGradientRoutine(), TaoSetHessianRoutine() TaoSetObjectiveAndGradientRoutine()

Level:beginner
Location:src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html